DevelopAPIcore-services
Jobs
The background jobs of the signed-in user, such as imports.
GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
status?unknownThe answer.
application/json- response
data?array<unknown>curl -X GET "https://platform.example.com/api/job" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}DELETE
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer.
application/json- response
data?array<unknown>curl -X DELETE "https://platform.example.com/api/job" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the job.
The answer.
application/json- response
data?array<unknown>curl -X GET "https://platform.example.com/api/job/$ID" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}DELETE
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the job.
The answer.
application/json- response
data?array<unknown>curl -X DELETE "https://platform.example.com/api/job/$ID" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the job.
start?unknownend?unknownThe answer.
application/json- response
data?array<unknown>curl -X GET "https://platform.example.com/api/job/$ID/logs" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the job.
The answer.
application/json- response
data?array<unknown>curl -X GET "https://platform.example.com/api/job/$ID/progress" \ -H "Authorization: Bearer $TOKEN"{ "data": [ null ]}